Bug 177947 - gdm no longer supports \n escapes in the Welcome text
gdm no longer supports \n escapes in the Welcome text
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-16 14:08 EST by Valdis Kletnieks
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2006-01-16 14:08:56 EST
Description of problem:
On previous versions of gdm, the following worked in /etc/X11/gdm/gdm.conf:

Welcome=Welcome to %n\nAuthorized Users and Uses Only\n\n

to insert newlines to break up and space the text (needed if it's a multi-line
login banner).  As of gdm 2.13, the \n is no longer functional - and in fact, if
used, results in the rest (and *important* part) of the welcome banner being
lost.  It's simply truncated at the \n.

Version-Release number of selected component (if applicable):

How reproducible:
Set the above Welcome in /etc/X11/gdm/custom.conf.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Ray Strode [halfline] 2007-03-06 14:36:50 EST
Is this regression still present in rawhide?
Comment 2 Ray Strode [halfline] 2007-08-14 11:49:56 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)
Comment 3 Valdis Kletnieks 2007-08-14 14:54:27 EDT
OK, tested against latest Rawhide, and it is indeed fixed.  It took me a while
to figure out how to test it - Bug #252189 kept interfering (basically, themes
supplied by the gdm RPM support Welcome, themes from redhat-artwork don't).

Note You need to log in before you can comment on or make changes to this bug.